#include<bits/stdc++.h>
using namespace std;
int main()
{ios_base::sync_with_stdio(false);cin.tie(0),cin.tie(0);
int n,m,k,z;
cin>>n>>m>>k;

z=(n*m)/(k*k);
if((k)%2==1)
    cout<<z+2;
else cout<<z;
return 0;
}
